## org.hibernate.metamodel.source.binder
Interface DerivedValueSource

All Superinterfaces:
  RelationalValueSource

All Known Implementing Classes:
  DerivedValueSourceImpl

    public interface DerivedValueSource

extends RelationalValueSource

Contract describing source of a derived value (formula).

Method Summary
`String` `getExpression()` Obtain the expression used to derive the value.

Methods inherited from interface org.hibernate.metamodel.source.binder.RelationalValueSource
`getContainingTableName`

Method Detail

### getExpression

    String getExpression()

  Obtain the expression used to derive the value.

  Returns:
    The derived value expression.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.